Skip to main content
GET
List

Authorizations

Authorization
string
header
required

Bearer API Key. For example, "Bearer {Tenant API Key}"

Headers

Authorization
string
required

Bearer API Key. For example, "Bearer {Tenant API Key}"

Content-Type
string

application/json

Query Parameters

ids
string

Filter alerts based on ID of the alert [Plerion Resource Names (prn)]. Accepts a comma-separated list of ids.

Example:

"id1,id2"

workflowIds
string

Filter alerts based on Plerion Workflow IDs. Accepts a comma-separated list of workflow ids.

Example:

"workflow1,workflow2"

integrationIds
string

Filter alerts based on Plerion integration ids. Accepts a comma-separated list of integration ids.

Example:

"integration1,integration2"

assetGroupIds
string

Filter alerts based on asset group ids. Accepts a comma-separated list of asset group ids.

Example:

"assetGroupId1,assetGroupId2"

statuses
enum<string>

Filter alerts based on statuses. Accepts a comma-separated list of statuses.

Available options:
OPEN,
RESOLVED
Example:

"OPEN"

resourceTypes
string

Filter alerts based on provider resource types. Accepts a comma-separated list of resource types.

Example:

"AWS::S3::Bucket,AWS::Lambda::Function"

providers
enum<string>

Filter alerts based on provider. Accepts a comma-separated list of providers.

Available options:
AWS,
Azure,
GCP,
Kubernetes
Example:

"AWS,GCP"

alertTypes
enum<string>

Filter alerts based on alert type. Accepts a comma-separated list of type.

Available options:
ASSET,
FINDING
Example:

"ASSET"

flagged
string

Filter alerts based on flag status. Accepts a single value. The supported values are true or false.

Example:

false

acknowledged
string

Filter alerts based on acknowledge status. Accepts a single value. The supported values are true or false.

Example:

false

sortBy
enum<string>

Order the list by supported field

Available options:
riskScore,
discoveredDate
Example:

"riskScore"

sortOrder
enum<string>

The sort order of the list. The parameter sortBy has to be provided to use sortOrder. If sortOrder is not provided the default order is ASC.

Available options:
ASC,
DESC
Example:

"ASC"

cursor
string

Get the next batch of alerts. Used for pagination.

Example:

"k3d83a9b-k3dk-5lkd-2ldk-9kd77c1beb6"

perPage
number

Specify the batch size of the list. Used for pagination

Required range: x <= 1000
Example:

100

Response

Alerts list

data
object[]
meta
object